//
// EICVer.h - Macros de définition de version des produits EIC.
//
#ifdef APSTUDIO_INVOKED
 #error this file is not editable by App Studio
#endif //APSTUDIO_INVOKED

#define ANNEE_EN_COURS "2007"

// Version des paquets
#define _VER_iMAJOR_BPL     6         //Mettre à jour lors d'un changement de version
#define _VER_iMINOR_BPL     0         //Mettre à jour lors d'un changement de version
#define _VER_iRELEASE_BPL   0         //Mettre à jour lors d'un changement de version
#define _VER_szVER_BPL      "6.00"    //Mettre à jour lors d'un changement de version

// Version de Menufed
#define _VER_iMAJOR     5         //Mettre à jour lors d'un changement de version
#define _VER_iMINOR     19        //Mettre à jour lors d'un changement de version
#define _VER_iRELEASE   2         //Mettre à jour lors d'un changement de version
#define _VER_HEXA 0x051302        //Mettre à jour lors d'un changement de version
#define _VER_szVER      "5.19b"   //Mettre à jour lors d'un changement de version
#define _CURRENT_VER    PROTECT_VER( _VER_iMAJOR, _VER_iMINOR)
#define _VER_szVER_FULL _VER_szVER

#define _VER_COPYRIGHT  "Copyright © EIC 1996-" ANNEE_EN_COURS
#ifdef TRADEMARKS_EIC
  #define _VER_TRADEMARKS "EIC® est une marque déposée en France par les Editions Informatiques Comptables."
#else
  #ifdef __BORLANDC__
	  #define _VER_TRADEMARKS "EIC®, TEN'CO®, REV'AO®, PRO'FI®, TEN'IMMO®, PRO'SCI®, COT'TNS® et TELE'DECLAR® sont des marques déposées en France par les Editions Informatiques Comptables."
  #else
    #define _VER_TRADEMARKS "EIC®, TEN'CO®, REV'AO®, PRO'FI®, et TELE'DECLAR® sont des marques déposées en France par les Editions Informatiques Comptables."
  #endif
#endif
#ifdef _DEBUG
 #define VS_FF              VS_FF_DEBUG|VS_FF_PRIVATEBUILD|VS_FF_PRERELEASE
 #define VALUE_PRIVATEBUILD VALUE "PrivateBuild", "Version DEBUG de mise au point du produit.\0"
 #define VALUE_COMMENT      VALUE "Comments",     "Version non commercialisable...\0"
 #define VALUE_COMMENT_ASS  VALUE_COMMENT
#else
 #define VS_FF              0
 #define VALUE_PRIVATEBUILD
 #define VALUE_COMMENT      VALUE "Comments", "La détention d'une licence d'utilisation, ou l'accord d'une période d'essai, est obligatoire pour l'utilisation légale de ce produit.\0"
 #define VALUE_COMMENT_ASS  VALUE "Comments", "La détention d'une licence d'utilisation, ou l'accord d'une période d'essai, est obligatoire pour l'utilisation légale de cet assistant.\0"
#endif

#define _KEY_COMPANYNAME      "CompanyName"
#define _KEY_FILEDESCRIPTION  "FileDescription"
#define _KEY_FILEVERSION      "FileVersion"
#define _KEY_ASSEMBLYVERSION  "Assembly Version"
#define _KEY_INTERNALNAME     "InternalName"
#define _KEY_LEGALCOPYRIGHT   "LegalCopyright"
#define _KEY_LEGALTRADEMARKS  "LegalTrademarks"
#define _KEY_ORIGINALFILENAME "OriginalFileName"
#define _KEY_PRODUCTNAME      "ProductName"
#define _KEY_PRODUCTVERSION   "ProductVersion"
#define _KEY_COMMENTS		   "Comments"
#define _KEY_SITE_INTERNET    "Site internet"
#define _KEY_EMAIL_CO         "email commercial"
#define _KEY_EMAIL_TECH       "email technique"


#ifdef _WIN32
 #include <WinVer.h>

 #ifdef VEREXECUTABLE
  #define VFT                             VFT_APP
  #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFilename", szNAME ".exe\0"
 #elif defined( VERPAQUET )
  #define VFT                             VFT_APP
  #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFilename", szNAME ".bpl\0"
 #else
  #define VFT                             VFT_DLL
  #ifdef __BORLANDC__
	  #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFilename", szNAME ".dll\0"
  #else
	  #if  defined( _ECRAN)
	    #if defined( _AUTONOME)
		    #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFileName", "W" szNAME "A.dll\0"
	    #else
	      #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFileName", "W" szNAME ".dll\0"
	    #endif
	  #else
	    #if defined( _AUTONOME)
		    #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFileName", szNAME "A.dll\0"
	    #else
		    #define VALUE_ORIGINALFILENAME( szNAME) VALUE "OriginalFileName", szNAME ".dll\0"
	    #endif
	  #endif
  #endif
 #endif

 #define SITE_INTERNET    "http:\x2F\x2Fwww.eic.fr\0"
 #define EMAIL_CO         "commercial@eic.fr\0"
 #define EMAIL_TECH       "support@eic.fr\0"
 #define COOR_INTERNET    VALUE _KEY_SITE_INTERNET,    SITE_INTERNET    \
                          VALUE _KEY_EMAIL_CO, EMAIL_CO         \
                          VALUE _KEY_EMAIL_TECH,  EMAIL_TECH
 #define szProduitMenufed "Menu Fédérateur"

 #ifdef __BORLANDC__
   #define DECLARE_VERSION( iMAJOR, iMINOR, iRELEASE, iREVISION, szDESC, szVER, szNAME, szPRODUIT, szVERPRODUIT, szCOMMENTAIRE) \
      VS_VERSION_INFO   VERSIONINFO \
      FILEVERSION       iMAJOR,iMINOR,iRELEASE,iREVISION \
      PRODUCTVERSION    _VER_iMAJOR,_VER_iMINOR \
      FILEFLAGSMASK     VS_FFI_FILEFLAGSMASK \
      FILEFLAGS         VS_FF \
      FILEOS            VOS__WINDOWS32 \
      FILETYPE          VFT \
      FILESUBTYPE       0 \
      \
      BEGIN \
       BLOCK "StringFileInfo" \
       BEGIN \
        BLOCK "040C04E4" \
        BEGIN \
         VALUE_PRIVATEBUILD \
         szCOMMENTAIRE \
         VALUE "CompanyName",     "Editions Informatiques Comptables (EIC)\0" \
         COOR_INTERNET \
         VALUE "FileDescription", szDESC "\0" \
         VALUE "FileVersion",     szVER "\0" \
         VALUE "InternalName",    szNAME "\0" \
         VALUE "LegalCopyright",  _VER_COPYRIGHT "\0" \
         VALUE "LegalTrademarks", _VER_TRADEMARKS "\0" \
         VALUE_ORIGINALFILENAME( szNAME) \
         VALUE "ProductName",     szPRODUIT "\0" \
         VALUE "ProductVersion",  szVERPRODUIT "\0" \
        END \
       END \
       \
       BLOCK "VarFileInfo" \
       BEGIN \
        VALUE "Translation", 0x40C, 0x4E4 \
       END \
      END

  #define DECLARE_VERSION_PAQUET( szDESC, szNAME, iREVISION)  DECLARE_VERSION( _VER_iMAJOR_BPL, _VER_iMINOR_BPL, _VER_iRELEASE_BPL, iREVISION, szDESC, _VER_szVER_BPL, szNAME, szProduitMenufed, _VER_szVER_BPL, VALUE_COMMENT)
  #define DECLARE_VERSION_PAQUET_AUTONOME( szDESC, szNAME, iMAJOR, iMINOR, iRELEASE, iREVISION, VER_STR, szPRODUIT)  DECLARE_VERSION( iMAJOR, iMINOR, iRELEASE, iREVISION, szDESC, VER_STR, szNAME, szPRODUIT, VER_STR, VALUE_COMMENT)
  #define DECLARE_VERSION_PRODUIT( szDESC, szNAME, iREVISION) DECLARE_VERSION( _VER_iMAJOR, _VER_iMINOR, _VER_iRELEASE, iREVISION, szDESC, _VER_szVER, szNAME, szProduitMenufed, _VER_szVER, VALUE_COMMENT)
  #define DECLARE_VERSION_PRODUIT_AUTONOME( szDESC, szNAME, iMAJOR, iMINOR, iRELEASE, iREVISION, VER_STR, szPRODUIT) DECLARE_VERSION( iMAJOR, iMINOR, iRELEASE, iREVISION, szDESC, VER_STR, szNAME, szPRODUIT, VER_STR, VALUE_COMMENT)
  #define DECLARE_VERSION_ASSISTANT( szDESC, szNAME, iMAJOR, iMINOR, iRELEASE, szVER, szPRODUIT) DECLARE_VERSION( iMAJOR, iMINOR, iRELEASE, 0, szDESC, szVER, szNAME, szPRODUIT, szVER, VALUE_COMMENT_ASS)
  #define DECLARE_VERSION_ASSISTANT_BUILD( szDESC, szNAME, iMAJOR, iMINOR, iRELEASE, iBUILD, szVER, szPRODUIT) DECLARE_VERSION( iMAJOR, iMINOR, iRELEASE, iBUILD, szDESC, szVER, szNAME, szPRODUIT, szVER, VALUE_COMMENT_ASS)
 #else
   #define DECLARE_VERSION( iREVISION, szDESC, szVER, szNAME, szPRODUIT) \
     VS_VERSION_INFO	  VERSIONINFO \
     FILEVERSION       iREVISION	\
     PRODUCTVERSION    _VER_iMAJOR,_VER_iMINOR \
     FILEFLAGSMASK     VS_FFI_FILEFLAGSMASK \
     FILEFLAGS         VS_FF \
     FILEOS            VOS__WINDOWS32 \
     FILETYPE          VFT \
     FILESUBTYPE       0 \
     \
     BEGIN \
      BLOCK "StringFileInfo" \
      BEGIN \
       BLOCK "040C04E4" \
       BEGIN \
        VALUE "CompanyName",     "Editions Informatiques Comptables (EIC)\0" \
        VALUE "FileDescription", szDESC "\0" \
        VALUE "FileVersion",     szVER "\0" \
        VALUE "InternalName",    szNAME "\0" \
        VALUE "LegalCopyright",  _VER_COPYRIGHT "\0" \
        VALUE "LegalTrademarks", _VER_TRADEMARKS "\0" \
        VALUE_ORIGINALFILENAME( szNAME) \
        VALUE "ProductName",     szPRODUIT "\0" \
        VALUE "ProductVersion",  szVER "\0" \
       END \
      END \
      \
      BLOCK "VarFileInfo" \
      BEGIN \
       VALUE "Translation", 0x040C, 0x4E4 \
      END \
     END
 #endif

#else  // #ifdef _WIN32
 #ifndef _DLLCOMPTA
  #error Ce fichier ne peut etre compile en 16bits que pour COMPTA16.DLL
 #endif
 #include <Ver.h>
#endif // #else #ifdef _WIN32

